<?php
/*
*
* Mensajitos V2.3.1
* Actualizado el 14/10/2006_**
* Este programa es propiedad intelectual de
* Mario Enrique Gomez Argueta. Su uso y distribucion
* esta permitida bajo los terminos de la licencia
* GNU/GPL 2.0 o posterior, que puede ser obtenida en
* http://www.fsf.org/
*
* Este programa hace uso de la biblioteca Snoopy
* distribuida tambien bajo la licencia GNU/GPL.
* Para mayor informacion visitar:
* http://snoopy.sourceforge.net/
*
*/

// Inclusion del archivo de configuracion.
include_once(dirname(__FILE__)."/Config.php");
// Inclusion de la libreria. No modificar
include_once(dirname(__FILE__)."/mensajitoslib.php");

// Si el archivo plantilla no existe:
if(isset($plantilla)&&(!is_file($plantilla))) {
  $plantilla = dirname(__FILE__)."/plantilla/mensajitos.htm";
  if(!is_file($plantilla)) { // Si no se encuentra la plantilla por defecto:
    if(defined('MENSAJITOS_DEBUG')&&MENSAJITOS_DEBUG)
      echo "Error: Imposible encontrar la plantilla. Ejecucion del Script detenida";
  }
}

// verificamos que se haya especificado un tipo mime
if(!isset($mime)||($mime=="")) {
  $mime = "text/html";
}

// Variables de la plantilla
$estado = "";
$opciones = "";
$visible = "";
$ultimo = "";
$comandosJS = "";

// Evaluamos el formulario basico
if(isset($_POST['telefono'])&&isset($_POST['mensaje'])&&isset($_POST['firma'])) {
  // Guardamos las variables:
  $ultimo = $_POST['telefono'];
  $mensaje = $_POST['mensaje'];
  $firma = $_POST['firma'];

  // Variables para el procesamiento de la salida
  $vars["{numero}"] = $ultimo;
  if(!isset($_POST['telefonos'])) {
    $vars["{operador}"] = detectarCompania($ultimo);
  } else {
    $vars["{operador}"] = "Multiple";
  }

  // Revisamos si es formulario de destinatario multiple
  if(isset($_POST['telefonos'])) {
    $tels = $_POST['telefonos'];
    $estado = "";
    $opciones = "";
    // Enviamos mensaje por mensaje y revisamos la salida:
    foreach($tels as $var=>$val) {
      $telefono = $val;
      $vars["{numero}"] = $telefono;
      $vars["{operador}"] = detectarCompania($telefono);
      if(enviarMensaje($telefono,$mensaje,$firma)) {
        $opciones = $opciones.procesarPlantillaStr($auxOK,$vars);
        $estado = $estado.procesarPlantillaStr($multiMensajeOK,$vars);
      } else {
        // si no se envia el mensaje se muestra ERR al final
        $opciones = $opciones.procesarPlantillaStr($auxERR,$vars);
        $estado = $estado.procesarPlantillaStr($multiMensajeERR,$vars);
      }
    }
  // Si no esta definido telefonos entonces es un formulario
  // de destinatario simple
  } else {
    // Revisamos si es un formulario de redireccion
    if(isset($_POST['urlok'])&&$_POST['urlbad']) {
      $url_ok = $_POST['urlok'];
      $url_bad = $_POST['urlbad'];
      if(enviarMensaje($telefono,$mensaje,$firma)) {
        header("Location: ".$url_ok); // envia a la pagina de envio correcto
        exit(0);
      } else {
        header("Location: ".$url_bad); // envia a la pagina de envio fallido
        exit(0);
      }
    } else { // Si no es un formulario simple
      // Enviamos un unico mensajito
      if(enviarMensaje($ultimo,$mensaje,$firma)) {
        $estado = procesarPlantillaStr($mensajeOK,$vars);
      } else {
        $estado = procesarPlantillaStr($mensajeERROR,$vars);
      }
    }
  }
  $visible = $auxFrmOKa;
  $comandosJS = $auxFrmOKb;
} else {
  $visible = $auxFrmERRa;
  $comandosJS = $auxFrmERRa;
}

// Verificamos que no se haya
// establecido nada en vars
if(isset($vars))
  unset($vars);

// Variables para la plantilla
if(isset($_SERVER['REQUEST_URI']))
  $vars["{script}"] = $_SERVER['REQUEST_URI'];
else
  $vars["{script}"] = $_SERVER['PHP_SELF'];

$vars["{version}"] = "2.3.1"; // HARDCODED Version ;-)
$vars["{JScript}"] = $comandosJS;
$vars["{estado}"] = $estado;
$vars["{opciones}"] = $opciones;
$vars["{visible}"] = $visible;
$vars["{ultimo}"] = $ultimo;

// mxgxw watermark.
$vars["{curly}"] = "Brenda";

// Definimos el tipo mime
if(!headers_sent()) {
  header("Content-Type: ".$mime);
}
// Sustituimos los valores en la plantilla:
echo procesarPlantilla($plantilla,$vars);

?>
